#!/bin/sh

executable="../bin/getnewrecs.sh"
arbitrary_log="../log/arbitrary.log"

Platform1="ArbitrarySub1"
Platform2="ArbitrarySub2"
Platform3="ArbitrarySub3"
Platform4="ArbitrarySub4"

echo `date +%Y%m%d%H%M%S` ----- Start collect ----- > $arbitrary_log

Temp1=$1
Temp2=$2
Temp3=$3
Temp4=$4

Folder1=$5
Pattern1=$6

Folder2=$7
Pattern2=$8

Folder3=$9

shift
Pattern3=$9

shift
Folder4=$9

shift
Pattern4=$9

shift
Props=$9

echo temp1=$Temp1 >> $arbitrary_log
echo temp2=$Temp2 >> $arbitrary_log
echo temp3=$Temp3 >> $arbitrary_log
echo temp4=$Temp4 >> $arbitrary_log

echo folder1=$Folder1 >> $arbitrary_log
echo pattern1=$Pattern1 >> $arbitrary_log

echo folder2=$Folder2 >> $arbitrary_log
echo pattern2=$Pattern2 >> $arbitrary_log

echo folder3=$Folder3 >> $arbitrary_log
echo pattern3=$Pattern3 >> $arbitrary_log

echo folder4=$Folder4 >> $arbitrary_log
echo pattern4=$Pattern4 >> $arbitrary_log

echo props=$Props >> $arbitrary_log

echo platform1=$Platform1 >> $arbitrary_log
echo platform2=$Platform2 >> $arbitrary_log
echo platform3=$Platform3 >> $arbitrary_log
echo platform4=$Platform4 >> $arbitrary_log


# Use following logic, for each individual sublog:
# log dir empty, filename pattern don't care:  Do not collect this sublog, do not write warnings, do not fail the collect.
# log dir not empty, filename pattern empty: Fail the entire collect operation.
# Log dir not empty, filename pattern not empty: Collect this sublog.

cat /dev/null > "$Temp1"
cat /dev/null > "$Temp2"
cat /dev/null > "$Temp3"
cat /dev/null > "$Temp4"

echo `date +%Y%m%d%H%M%S`  ------- Collect 1st Arbitrary Sublog ------- >> $arbitrary_log
cat /dev/null > "$Temp1"
if [ -n "$Folder1" ]
then
  if [ -n "$Pattern1" ]
  then
     echo startsublog1 >> $arbitrary_log
     "$executable" "$Temp1" "$Platform1" "$Folder1" "$Pattern1" "$Props"
  else
    echo exit1 >> $arbitrary_log
    exit 1
  fi;
else 
    cat /dev/null > "$Temp1"
fi;


echo `date +%Y%m%d%H%M%S`  ------- Collect 2nd Arbitrary Sublog ------- >> $arbitrary_log
cat /dev/null > "$Temp2"
if [ -n "$Folder2" ]
then
  if [ -n "$Pattern2" ]
  then
     echo startsublog2 >> $arbitrary_log
     "$executable" "$Temp2" "$Platform2" "$Folder2" "$Pattern2" "$Props"
  else
    echo exit2 >> $arbitrary_log
    exit 1
  fi;
else 
    cat /dev/null > "$Temp2"
fi;


echo `date +%Y%m%d%H%M%S`  ------- Collect 3rd Arbitrary Sublog ------- >> $arbitrary_log
cat /dev/null > "$Temp3"
if [ -n "$Folder3" ]
then
  if [ -n "$Pattern3" ]
  then
echo startsublog3 >> $arbitrary_log     
"$executable" "$Temp3" "$Platform3" "$Folder3" "$Pattern3" "$Props"
  else
    echo exit3 >> $arbitrary_log
    exit 1
  fi;
else 
    cat /dev/null > "$Temp3"
fi;

echo `date +%Y%m%d%H%M%S`  ------- Collect 4th Arbitrary Sublog ------- >> $arbitrary_log
cat /dev/null > "$Temp4"
if [ -n "$Folder4" ]
then
  if [ -n "$Pattern4" ]
  then
     echo startsublog4 >> $arbitrary_log
     "$executable" "$Temp4" "$Platform4" "$Folder4" "$Pattern4" "$Props"
  else
    echo exit4 >> $arbitrary_log
    exit 1
  fi;
else 
    cat /dev/null > "$Temp4"
fi;


echo `date +%Y%m%d%H%M%S`  ------- End of script ------- >> $arbitrary_log