@Echo off
Rem ########################################################BeginFile############
Rem  Copyright:  (c) 2000 by Consul Risk Management B.V.  All Rights Reserved
Rem 
Rem  File-stamp: <000817 henk-jan 15:02 getfwlog.bat>
Rem 
Rem  Name:
Rem    getfwlog.bat
Rem 
Rem  Purpose:
Rem    Generic actuator script for FireWall-1 
Rem 
Rem  Notes:
Rem    This bat-file starts the Visual Basic Script getfwlog.vbs,
Rem    which collects the FireWall-1 audit log
Rem
Rem    The properties as passed by ExtendIT toolkit:
Rem
Rem      %1  Temporary file 1 (To be used as the output file name)
Rem      %2  Temporary file 2
Rem      %3  Temporary file 3
Rem      %4  Temporary file 4
Rem      %5  Option 1
Rem      %6  Option 2
Rem      %7  Option 3
Rem      %8  Option 4
Rem      %9  Option 5
Rem      %10 Option 6 (use 'shift', if you want to use options 6, 7 and 8)
Rem      %11 Option 7
Rem      %12 Option 8
Rem
Rem  History:
Rem    000705 0.0.1     HJvT   EE003006:  Created.
Rem ########################################################EndFile##############

Rem Start the VBS script with 'Temporary file 1' and 'Option 1' as parameters
cscript //nologo ..\bin\getfwlog.vbs %1 %5
