rem --
rem getiislogs.bat
rem
rem Generic Actuator for IIS logs, uses getnewrecs.vbs
rem
rem Copyright: (c) 2003 by Consul Risk Management B.V., All Rights Reserved
rem
rem History
rem   2003aug07 AndrewZhdanov: EE0305013: created
rem --

@echo off

rem get command line arguments
set www-native-out=%1
shift
set ftp-native-out=%1
shift
set www-w3c-out=%1
shift
set ftp-w3c-out=%1
shift
set www-native-dir=%1
shift
set www-native-registry=%1
shift
set www-native-regex=%1
shift
set ftp-native-dir=%1
shift
set ftp-native-registry=%1
shift
set ftp-native-regex=%1
shift
set www-w3c-dir=%1
shift
set www-w3c-registry=%1
shift
set www-w3c-regex=%1
shift
set ftp-w3c-dir=%1
shift
set ftp-w3c-registry=%1
shift
set ftp-w3c-regex=%1
shift
set props=%1

set executable=cscript.exe //B //NoLogo ..\bin\getnewrecs.vbs 

rem collect www-native - and store .props
copy nul %www-native-out%
call %executable% %www-native-out% %www-native-registry% %www-native-dir% %www-native-regex% %props% DateTimeFormat1

rem collect ftp-native
copy nul %ftp-native-out%
call %executable% %ftp-native-out% %ftp-native-registry% %ftp-native-dir% %ftp-native-regex% %props% DateTimeFormat2

rem collect www-w3c
copy nul %www-w3c-out%
call %executable% %www-w3c-out% %www-w3c-registry% %www-w3c-dir% %www-w3c-regex% %props% "N/A" "#Fields:"

rem collect ftp-w3c
copy nul %ftp-w3c-out%
call %executable% %ftp-w3c-out% %ftp-w3c-registry% %ftp-w3c-dir% %ftp-w3c-regex% %props% "N/A" "#Fields:"

